﻿#!/usr/bin/perl

# This little program converts text files in classic STEDT Font
# into text files encoded in UTF-8.
#
# You need to use this program instead of
# BAD CODE:
#   perl -Co -M 'STEDT::Encode' -pi'orig_*' -e 'stedt2utf8_inplace $_' file1 file2 ...
# because there's a bug in perl that prevents the -i option from 
# dealing with encodings correctly. 

use STEDT::Encode;

while (<>) {
	if ($ARGV ne $oldargv) {
		$backup = "orig_$ARGV";
		rename($ARGV, $backup) or die $!;
		open(ARGVOUT, ">:utf8", $ARGV) or die $!;
		select(ARGVOUT);
		$oldargv = $ARGV;
	}
	stedt2utf8_inplace $_;
}
continue {
	print;  # this prints to original filename
}
select(STDOUT);
